# frozen_string_literal: true

$:.push File.expand_path("../lib", __FILE__)
require "first-class-postcodes/version"

Gem::Specification.new do |s|
  s.name        = "first-class-postcodes"
  s.version     = FCP::VERSION
  s.platform    = Gem::Platform::RUBY
  s.authors     = ["First Class Postcodes"]
  s.email       = ["support+api+ruby@firstclasspostcodes.com"]
  s.homepage    = "https://docs.firstclasspostcodes.com/clients/ruby"
  s.summary     = "First Class Postcodes Ruby API Client"
  s.description = "Use this API to retrieve address information for UK postcodes. You can request by postcode, filter by geolocation and provide autocomplete suggestions using natural address entry. "
  s.license     = "MIT"
  s.required_ruby_version = ">= 2.2.0"

  s.add_runtime_dependency 'typhoeus', '~> 1.3', '>= 1.3.1'
  s.add_runtime_dependency 'json', '~> 2.2', '>= 2.2.0'

  s.add_development_dependency 'rspec', '~> 3.6', '>= 3.6.0'
  s.add_development_dependency 'vcr', '~> 3.0', '>= 3.0.1'
  s.add_development_dependency 'webmock', '~> 1.24', '>= 1.24.3'
  s.add_development_dependency 'autotest', '~> 4.4', '>= 4.4.6'
  s.add_development_dependency 'autotest-rails-pure', '~> 4.1', '>= 4.1.2'
  s.add_development_dependency 'autotest-growl', '~> 0.2', '>= 0.2.16'
  s.add_development_dependency 'autotest-fsevent', '~> 0.2', '>= 0.2.12'

  s.files         = `find *`.split("\n").uniq.sort.select { |f| !f.empty? }
  s.test_files    = `find spec/*`.split("\n")
  s.executables   = []
  s.require_paths = ["lib"]
end
