require 'uri'
require 'spec_helper'

describe FCP::Configuration do
  let(:config) { FCP::Configuration.default }

  before(:each) do
    uri = URI.parse("https://api.firstclasspostcodes.com/data")
    FCP.configure do |c|
      c.scheme = 'https'
      c.host = uri.host
      c.base_path = uri.path
    end
  end

  describe '#base_url' do
    it 'should have the default value' do
      expect(config.base_url).to eq("https://api.firstclasspostcodes.com/data")
    end

    it 'should remove trailing slashes' do
      [nil, '', '/', '//'].each do |base_path|
        config.base_path = base_path
        expect(config.base_url).to eq("https://api.firstclasspostcodes.com")
      end
    end
  end
end
